## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  tests

%global         srcname     google-cloud-spanner
%global         forgeurl    https://github.com/googleapis/python-spanner
Version:        3.39.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud Spanner

License:        Apache-2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Python Client for Google Cloud Spanner}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Allow a slightly older sqlparse.
sed -i 's/sqlparse >= 0.4.4/sqlparse >= 0.4.2/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%check
%pyproject_check_import

%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit --ignore tests/unit/spanner_dbapi/test_cursor.py -k "not test_connection_wo_database"
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_spanner-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Thu Aug 03 2023 Packit <hello@packit.dev> - 3.39.0-1
- [packit] 3.39.0 upstream release

* Mon Jul 24 2023 Major Hayden <major@redhat.com> - 3.38.0-1
- Update to 3.38.0 rhbz#2224695

* Mon Jul 24 2023 Major Hayden <major@redhat.com> - 3.37.0-2
- Add packit config

* Fri Jul 21 2023 Major Hayden <major@redhat.com> - 3.37.0-1
- Update to 3.37.0 rhbz#2224497

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.36.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 3.36.0-2
- Rebuilt for Python 3.12

* Mon Jun 12 2023 Major Hayden <major@redhat.com> - 3.36.0-1
- Update to 3.36.0 rhbz#2213069

* Wed May 31 2023 Major Hayden <major@redhat.com> - 3.35.1-1
- Update to 3.35.1 rhbz#2207549

* Wed May 03 2023 Major Hayden <major@redhat.com> - 3.33.0-1
- Update to 3.33.0 rhbz#2192864

* Wed Apr 26 2023 Major Hayden <major@redhat.com> - 3.32.0-1
- Update to 3.32.0 rhbz#2189878

* Fri Apr 14 2023 Major Hayden <major@redhat.com> - 3.31.0-1
- Update to 3.31.0 rhbz#2186301

* Thu Apr 06 2023 Major Hayden <major@redhat.com> - 3.30.0-1
- Update to 3.30.0 rhbz#2183935

* Mon Mar 27 2023 Major Hayden <major@redhat.com> - 3.29.0-1
- Update to 3.29.0 rhbz#2181490

* Wed Mar 01 2023 Major Hayden <major@redhat.com> - 3.28.0-1
- Update to 3.28.0 rhbz#2174253

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 3.27.1-1
- Update to 3.27.1

* Mon Feb 20 2023 Major Hayden <major@redhat.com> - 3.24.0-3
- Disable tests temporarily to fix FTBFS

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.24.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 07 2022 Major Hayden <major@redhat.com> - 3.24.0-1
- Update to 3.24.0 rhbz#2150214

* Mon Nov 07 2022 Janine Olear <pninak@web.de> - 3.23.0-1
- Update to 3.23.0 rhbz#2140633

* Wed Oct 19 2022 Major Hayden <major@redhat.com> - 3.22.2-1
- Update to 3.22.2 rhbz#2131908

* Tue Sep 27 2022 fkolwa <fkolwa@redhat.com> - 3.22.0-1
- Update to 3.22.0 rhbz#2130107

* Tue Sep 20 2022 fkolwa <fkolwa@redhat.com> - 3.21.0-1
- Update to 3.21.0 rhbz#2128084

* Wed Sep 14 2022 fkolwa <fkolwa@redhat.com> - 3.20.0-1
- Update to 3.20.0 rhbz#2126542

* Wed Aug 17 2022 Major Hayden <major@redhat.com> - 3.19.0-1
- Update to 3.19.0 rhbz#2119148

* Mon Aug 15 2022 Major Hayden <major@redhat.com> - 3.18.0-1
- Update to 3.18.0 rhbz#2118363

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 11 2022 Major Hayden <major@redhat.com> - 3.16.0-1
- Update to 3.16.0 rhbz#2106148

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 3.15.1-2
- Update to 3.15.1

* Tue Jun 21 2022 Major Hayden <major@redhat.com> - 3.15.1-1
- Update to 3.15.1

* Mon Jun 13 2022 Major Hayden <major@redhat.com> - 3.14.1-1
- Update to 3.14.1

* Wed Apr 20 2022 Major Hayden <major@mhtx.net> - 3.14.0-1
- 🚀 Update to 3.14.0

* Mon Feb 07 2022 Major Hayden <major@redhat.com> - 3.13.0-1
- Update to 3.13.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 06 2022 Major Hayden <major@redhat.com> - 3.12.1-1
- Update to 3.12.1

* Fri Dec 03 2021 Major Hayden <major@redhat.com> - 3.12.0-1
- 🚀 Update to 3.12.0

* Tue Oct 05 2021 Major Hayden <major@mhtx.net> - 3.11.0-1
- Initial import (#2010383)
